Bug 103728 - kNFSd: NOHIDE export option is broken
kNFSd: NOHIDE export option is broken
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nfs-utils (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-04 09:32 EDT by Steve Dickson
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-10 13:08:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2003-09-04 09:32:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
The new nfs-utils-1.0.5 patches uses the hex 
value of 0x200 to set the nohide option. The 
kenrel is looking for a hex value of 0x4000
which is really NFSEXP_CROSSMNT.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.export a filesystem with nohide option
2.mount the exported file from any client
3.cat /proc/fs/nfs/exports
    

Actual Results:  The export bits are: (rw,root_squash,sync,wdelay,acl) 

Expected Results:  The export bit should (rw,root_squash,sync,wdelay,nohide,acl)

Additional info:
Comment 1 Arjan van de Ven 2003-09-04 09:38:14 EDT
this should be fixed in nfsutils instead, we can no longer fix this in the kernel

Note You need to log in before you can comment on or make changes to this bug.